Summary:       Free Music Instrument Tuner
Name:          fmit
Version:       0.98.1
Release:       3%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://home.gna.org/fmit/index.html
Source0:       http://download.gna.org/fmit/%{name}-%{version}-Source.tar.bz2
Source1:       %{name}.png
# Fixes CaptureThreadImplJACK.cpp:167:
# undefined reference to `jack_error_callback'
# Issue is also mentioned in the TODO p.3.
# Patch sent upstream.
Patch0:        %{name}-jack-error-callback.patch
# Adds explicit type of library, so that the compilation process will not
# depends on the current value of the variable BUILD_SHARED_LIBS[1] which most
# Linux distributions overwrites to ON.
# [1]. http://www.cmake.org/cmake/help/cmake-2-8-docs.html#command:add_library
# Patch sent upstream.
Patch1:        %{name}-add-library-static.patch
BuildRequires: cmake
BuildRequires: qt3-devel
BuildRequires: freeglut-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: fftw3-devel
BuildRequires: alsa-lib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: portaudio-devel
BuildRequires: desktop-file-utils


%description
%{name} is a graphical utility for tuning musical instruments, with
error and volume history and advanced features like waveform shape,
harmonics ratio (formants), and micro-tonal tuning.


%prep
%setup -q -n %{name}-%{version}-Source
%patch0 -p1 -b .jack-error-callback
%patch1 -p1 -b .add-library-static
sed -i 's/^Icon.*/Icon=fmit/g' %{name}.desktop
sed -i 's/^Name.*/Name=Music Instrument Tuner/g' %{name}.desktop
sed -i 's/^Comment.*/Comment=Tunes music instruments/g' %{name}.desktop
# Removes the following warning:
# key "Categories" is a list and does not have a semicolon
# as trailing character, fixing
sed -i 's/\(^Categories.*\)/\1;/g' %{name}.desktop


%build
%cmake -DSOUNDSYSTEM_USE_PORTAUDIO=ON
make VERBOSE=1 %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
    --delete-original \
    --add-category=Audio \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/mimelnk/application/%{name}.desktop
# Removes fmit_de.ts and fmit_fr.ts files.
# As of now upstream do not produce .qm files which we could use. 
rm -rf %{buildroot}%{_datadir}/%{name}


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog TODO README.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Dec 30 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-3
- build process does not depend on the BUILD_SHARED_LIBS variable.

* Mon Dec 28 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-2
- build corrected.
- translation's files installation disabled until fixed upstream.

* Mon Dec 28 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-1
- initial RPM release.
